
Foreman - Bug #15784

Intermittent ProvisioningTemplateJSTest.test_0002_edit snippet page and template page test failures

07/22/2016 06:28 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee: Ivan Necas   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The tests ProvisioningTemplateJSTest.test_0002_edit snippet page and ProvisioningTemplateJSTest.test_0001_edit template page

are failing intermittently at these locations:

ProvisioningTemplateJSTest.test_0002_edit snippet page

Took 32 sec.

Capybara::ElementNotFound: Unable to find field "provisioning_template_name" 

    test/integration/provisioning_template_js_test.rb:29:in `block in <class:ProvisioningTemplateJ

STest>' (Capybara::ElementNotFound)

/usr/local/rvm/gems/ruby-2.1.5@test_develop-0/gems/capybara-2.7.1/lib/capybara/node/finders.rb:44 

   

 (at commit d163507797c5d9c20249aa4d858465cbb74be229)

ProvisioningTemplateJSTest.test_0001_edit template page

Took 32 sec.

Capybara::ElementNotFound: Unable to find field "provisioning_template_name" 

    test/integration/provisioning_template_js_test.rb:8:in `block in <class:ProvisioningTemplateJS

Test>' (Capybara::ElementNotFound)

/usr/local/rvm/gems/ruby-2.3.0@test_plugin_matrix-1/gems/capybara-2.7.1/lib/capybara/node/finders.

rb:44    

 (at commit d163507797c5d9c20249aa4d858465cbb74be229)

History

#1 - 07/26/2016 03:12 AM - Ivan Necas

- Status changed from New to Assigned

- Assignee set to Ivan Necas

#2 - 05/17/2017 05:45 PM - Anonymous

What's the status here?

#3 - 08/06/2017 07:09 AM - Anonymous

- Status changed from Assigned to Resolved
